I am with an ISV trying to get our LSB compliant application working on SLES 12.

Code:
# rpm -i RPMS/noarch/mytestrpm-1.0-0.noarch.rpm
error: Failed dependencies:
        lsb-core-noarch is needed by mytestrpm-1.0-0.noarch
I don't think this should be possible based on the documentation I've read.

Code:
# lsb_release
LSB Version:    n/a
# lsb_release -a
LSB Version:    n/a
Distributor ID: SUSE LINUX
Description:    SUSE Linux Enterprise Server 12
Release:        12
Codename:       12
I don't believe that "n/a" is what should be showing up as lsb version. I can't find anything in the repositories to satisfy the lsb-core-* dependencies or provide /etc/lsb-release. Am I missing something obvious?